using System.ComponentModel.DataAnnotations;

namespace ladaexpress.vn.Infrastructures.DTO.Models.Shared
{
    [Serializable]
    public class LeadModel
    {
        [Required(ErrorMessage = "Vui lòng nhập họ tên")]
        [Display(Name = "Họ và tên")]
        [StringLength(100, MinimumLength = 2, ErrorMessage = "Họ tên phải có từ 2 đến 100 ký tự")]
        public string FullName { get; set; }

        [Required(ErrorMessage = "Vui lòng nhập số điện thoại")]
        [Display(Name = "Số điện thoại")]
        [RegularExpression(@"^(0[0-9]{9,10})$", ErrorMessage = "Số điện thoại không hợp lệ (phải bắt đầu bằng số 0 và có 10-11 số)")]
        public string PhoneNumber { get; set; }

        [Required(ErrorMessage = "Vui lòng nhập nội dung yêu cầu")]
        [Display(Name = "Nội dung yêu cầu")]
        [StringLength(1000, MinimumLength = 10, ErrorMessage = "Nội dung yêu cầu phải có từ 10 đến 1000 ký tự")]
        [DataType(DataType.MultilineText)]
        public string Message { get; set; }

        public string SourcePath { get; set; } = string.Empty;

        public int NumberOfColumns { get; set; } = 2;
        public bool ShowContact { get; set; } = true;
    }
}
